<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('sekolahs', function (Blueprint $table) {
            if (!Schema::hasColumn('sekolahs', 'nss')) {
                $table->string('nss')->nullable();
            }
            if (!Schema::hasColumn('sekolahs', 'kepala_sekolah')) {
                $table->string('kepala_sekolah')->nullable();
            }
            if (!Schema::hasColumn('sekolahs', 'nip')) {
                $table->string('nip')->nullable();
            }
            if (!Schema::hasColumn('sekolahs', 'kelurahan')) {
                $table->string('kelurahan')->nullable();
            }
            if (!Schema::hasColumn('sekolahs', 'kecamatan')) {
                $table->string('kecamatan')->nullable();
            }
            if (!Schema::hasColumn('sekolahs', 'kota_kabupaten')) {
                $table->string('kota_kabupaten')->nullable();
            }
            if (!Schema::hasColumn('sekolahs', 'provinsi')) {
                $table->string('provinsi')->nullable();
            }
        });
    }

    public function down()
    {
        Schema::table('sekolahs', function (Blueprint $table) {
            if (Schema::hasColumn('sekolahs', 'provinsi')) {
                $table->dropColumn('provinsi');
            }
            if (Schema::hasColumn('sekolahs', 'kota_kabupaten')) {
                $table->dropColumn('kota_kabupaten');
            }
            if (Schema::hasColumn('sekolahs', 'kecamatan')) {
                $table->dropColumn('kecamatan');
            }
            if (Schema::hasColumn('sekolahs', 'kelurahan')) {
                $table->dropColumn('kelurahan');
            }
            if (Schema::hasColumn('sekolahs', 'nip')) {
                $table->dropColumn('nip');
            }
            if (Schema::hasColumn('sekolahs', 'kepala_sekolah')) {
                $table->dropColumn('kepala_sekolah');
            }
            if (Schema::hasColumn('sekolahs', 'nss')) {
                $table->dropColumn('nss');
            }
        });
    }
};
